com.sun.jna

## Class ELFAnalyser

- java.lang.Object
- - com.sun.jna.ELFAnalyser

-      class ELFAnalyser
      extends java.lang.Object

  Analyse an ELF file for platform specific attributes.

  Primary use-case: Detect whether the java binary is arm hardfloat or softfloat.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ELFAnalyser` | `analyse(java.lang.String filename)`
    `java.lang.String` | `getFilename()`
    `boolean` | `is64Bit()`
    `boolean` | `isArm()`
    `boolean` | `isArmHardFloat()`
    `boolean` | `isArmSoftFloat()`
    `boolean` | `isBigEndian()`
    `boolean` | `isELF()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### analyse

          public static ELFAnalyser analyse(java.lang.String filename)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isELF

          public boolean isELF()

      Returns:
        true if the parsed file was detected to be an ELF file

    - #### is64Bit

          public boolean is64Bit()

      Returns:
        true if the parsed file was detected to be for a 64bit architecture and pointers are expected to be 8byte wide

    - #### isBigEndian

          public boolean isBigEndian()

      Returns:
        true if the parsed file is detected to be big endian, false if the file is little endian

    - #### getFilename

          public java.lang.String getFilename()

      Returns:
        filename of the parsed file

    - #### isArmHardFloat

          public boolean isArmHardFloat()

      Returns:
        true if file was detected to conform to the hardware floating-point procedure-call standard

    - #### isArmSoftFloat

          public boolean isArmSoftFloat()

      Returns:
        true if file was detected to conform to the software floating-point procedure-call standard

    - #### isArm

          public boolean isArm()

      Returns:
        true if the parsed file was detected to be build for the arm architecture

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.